metadata:
  # https://github.com/ioos/ioosngdac/wiki/NGDAC-NetCDF-File-Format-Version-2
  acknowledgement: Funding from Fisheries and Oceans Canada, Canadian Foundation for
    Innovation, BC Knowledge Development Fund. Support from Bamfield Marine Sciences
    Centre and Hakai Institute.
  citation: "Klymak, J., & Ross, T. (2025). C-PROOF Underwater Glider Deployment Datasets
    [Data set]. Canadian-Pacific Robotic Ocean Observing Facility. doi:10.82534/44DS-K310"
  comment: "SVI Shelf from Bamfield"
  contributor_name: James Pegg, Jody Klymak, Tetjana Ross, Nick Harper
  contributor_role: Lead Technician, Co-PI, Co-PI, Technician,
  creator_email: jklymak@uvic.ca
  creator_name: Jody Klymak
  creator_url: https://cproof.uvic.ca
  # R: real time. P: provisional
  data_mode: 'R'
  # date_created etc: added automatically
  # numbers must be enclosed by strings so YAML keeps as strings
  deployment_id: '143'
  deployment_name: 'dfo-eva035-20260512'
  deployment_start: '2026-05-12'
  deployment_end: '2026-08-10'
  format_version: IOOS_Glider_NetCDF_v2.0.nc
  # id filled automatically...
  glider_name: dfo-eva
  glider_serial: '035'
  glider_model: SeaExplorer
  glider_instrument_name: seaexplorer
  glider_wmo: "4803917"
  institution: C-PROOF
  keywords: "AUVS, Autonomous Underwater Vehicles, Oceans, Ocean Pressure, Water Pressure,
    Oceans, Ocean Temperature, Water Temperature, Oceans, Salinity/Density, Conductivity,
    Oceans, Salinity/Density, Density, Oceans, Salinity/Density, Salinity"
  keywords_vocabulary: GCMD Science Keywords
  license: CC-BY-4.0
  line_id: Bamfield
  line_id_vocabulary: https://cproof.uvic.ca/observatory/cproof_line_vocab.yml
  metadata_link: "https://cproof.uvic.ca"
  Metadata_Conventions: CF-1.6, Unidata Dataset Discovery v1.0
  naming_authority: "ca.uvic.cproof"
  network: OceanGliders > BOON > Northeast Pacific Ocean > C-PROOF, IOOS
  platform_type: "SeaExplorer Glider"
  processing_level: "Data provided as is with no expressed or implied assurance of
    quality assurance or quality control."
  project: LB Line
  project_url: https://cproof.uvic.ca
  publisher_email: jklymak@uvic.ca
  publisher_name: Jody Klymak
  publisher_url: https://cproof.uvic.ca
  references: https://doi.org/10.82534/44DS-K310
  # https://www.nodc.noaa.gov/General/NODC-Archive/seanamelist.txt
  sea_name: Northeast Pacific Ocean (limit-180)
  source: Observational data from a profiling glider.
  standard_name_vocabulary: CF Standard Name Table v49
  summary: Glider deployed from Bamfield, to go to 1000 m isobath ak=long LC line,
    return on LB line.  Repeated twice and then return to Bamfield.  First 2026.
  transmission_system: IRIDIUM
  wmo_id: "4803917"
  deployment_vessel: "VelellaVellela"
  deployment_station: "BMSC001"
  deployment_latitude: "48.89"
  deployment_longitude: "125.17433"


glider_devices:
  pressure:
    make: Micron
    model: Pressure
    serial: ' '
  ctd:
    make: Seabird
    model: GPCTD
    serial: '0329'
    long_name: Seabird GPCTD
    make_model: Seabird GPCTD
    calibration_date: "20210414"
    calibration_report: " "
    Thermal_lag_constants_[alpha,tau] : [0.34,4.6]
    dTdC : 0
    comment: Constants were found using dfo-bb046-20220707. A detailed report of how the constants are defined can be found on https://cproof.uvic.ca. There is no lag between temperature and conductivity.
  optics:
    make: Wetlabs
    model: FLBBCDSLC
    serial: '4547'
    calibration_date: "20171120"
    calibration_report: " "
  oxygen:
    make: AROD_FT-CE
    model: Optode4831
    serial: '0021'
    calibration_date: "20240313"
    calibration_constants[d0,d1,d2,c0,c1,c2,cp] :  [-3.292106e-04,-1.696174e-01, 1.999286e-01 , +3.024370e-03, +1.261735e-04,+2.633447e-06, +4.000000e-03]
    comment: 'Calibration constants from manufacturer'
# map between glider variables and netcdf variables.  This shouldn't
# change too much.
netcdf_variables:
  # Timebase for interpolation
  timebase:
    source: GPCTD_TEMPERATURE
  interpolate: true
  # Time and Place:
  time:
    source: time
    long_name: Time
    standard_name: time
    calendar: gregorian
    units: seconds since 1970-01-01T00:00:00Z
    axis: T
    observation_type: "measured"
    coordinates: time depth latitude longitude

  latitude:
    source: Lat
    long_name: latitude
    standard_name: latitude
    units: degrees_north
    axis: Y
    coordinates: time depth latitude longitude
    conversion: nmea2deg
    comment: "Estimated between surface fixes"
    observation_type: measured
    platform: platform
    reference: WGS84
    valid_max: "90.0"
    valid_min: "-90.0"
    coordinate_reference_frame: urn:ogc:crs:EPSG::4326

  longitude:
    source: Lon
    long_name: longitude
    standard_name: longitude
    units: degrees_east
    axis: X
    coordinates: time depth latitude longitude
    conversion: nmea2deg
    comment: "Estimated between surface fixes"
    observation_type: measured
    platform: platform
    reference: WGS84
    valid_max: "180.0"
    valid_min: "-180.0"
    coordinate_reference_frame: urn:ogc:crs:EPSG::4326

  heading:
    source: Heading
    long_name: glider heading angle
    standard_name: platform_orientation
    units: rad
    coordinates: time depth latitude longitude

  pitch:
    source: Pitch
    long_name: glider pitch angle
    standard_name: platform_pitch_angle
    units: rad
    coordinates: time depth latitude longitude

  roll:
    source: Roll
    long_name: glider roll angle
    standard_name: platform_roll_angle
    units: rad
    coordinates: time depth latitude longitude

  # data parameters
  conductivity:
    source: GPCTD_CONDUCTIVITY
    long_name: water conductivity
    standard_name: sea_water_electrical_conductivity
    units: S m-1
    coordinates: time depth latitude longitude
    instrument: instrument_ctd
    valid_min: "0."
    valid_max: "10."
    observation_type: "measured"
    accuracy: "0.0003"
    precision: "0.0001"
    resolution: "0.00002"

  temperature:
    source: GPCTD_TEMPERATURE
    long_name: water temperature
    standard_name: sea_water_temperature
    units: Celsius
    coordinates: time depth latitude longitude
    instrument: instrument_ctd
    valid_min: "-5"
    valid_max: "50"
    observation_type: "measured"
    accuracy: "0.002"
    precision: "0.001"
    resolution: "0.0002"

  pressure:
    source: GPCTD_PRESSURE
    long_name: water pressure
    standard_name: sea_water_pressure
    units: dbar
    coordinates: time depth latitude longitude
    valid_min: "0"
    valid_max: "2000"
    positive: "down"
    reference_datum: "sea-surface"
    instrument: "instrument_ctd"
    observation_type: "measured"
    accuracy: "1"
    precision: "2"
    resolution: "0.02"
    comment: "ctd pressure sensor"

# optics:
  chlorophyll:
    source: FLBBCD_CHL_SCALED
    long_name: chlorophyll
    standard_name: concentration_of_chlorophyll_in_sea_water
    units: mg m-3
    coordinates: time depth latitude longitude

  cdom:
    source: FLBBCD_CDOM_SCALED
    long_name: CDOM
    units: ppb
    coordinates: time depth latitude longitude

  backscatter_700:
    source: FLBBCD_BB_700_SCALED
    long_name: 700 nm wavelength backscatter
    units: "1"
    coordinates: time depth latitude longitude

# Oxygen
  oxygen_concentration:
    source: AROD_FT_DO
    long_name: oxygen concentration
    standard_name: mole_concentration_of_dissolved_molecular_oxygen_in_sea_water
    units: umol l-1
    coordinates: time depth latitude longitude

  temperature_oxygen:
    source: AROD_FT_TEMP
    long_name: oxygen sensor temperature
    standard_name: temperature_of_sensor_for_oxygen_in_sea_water
    units: Celsius
    coordinates: time depth latitude longitude

profile_variables:
  # variables for extract_L1timeseries_profiles processing step...
  profile_id:
    comment: Sequential profile number within the trajectory.  This value is unique
      in each file that is part of a single trajectory/deployment.
    long_name: 'Profile ID'
    valid_max: '2147483647'
    valid_min: '1'

  profile_time:
    comment: Timestamp corresponding to the mid-point of the profile
    long_name: Profile Center Time
    observation_type: calculated
    platform: platform
    standard_name: time
#    units:             seconds since 1970-01-01T00:00:00Z
    _FillValue: -999

  profile_time_start:
    comment: Timestamp corresponding to the start of the profile
    long_name: Profile Start Time
    observation_type: calculated
    platform: platform
    standard_name: time
    units: seconds since 1970-01-01T00:00:00Z

  profile_time_end:
    comment: Timestamp corresponding to the end of the profile
    long_name: Profile End Time
    observation_type: calculated
    platform: platform
    standard_name: time
    units: seconds since 1970-01-01T00:00:00Z

  profile_lat:
    comment: Value is interpolated to provide an estimate of the latitude at the mid-point
      of the profile
    long_name: Profile Center Latitude
    observation_type: calculated
    platform: platform
    standard_name: latitude
    units: degrees_north
    valid_max: "90.0"
    valid_min: "-90.0"

  profile_lon:
    comment: Value is interpolated to provide an estimate of the latitude at the mid-point
      of the profile
    long_name: Profile Center Longitude
    observation_type: calculated
    platform: platform
    standard_name: longitude
    units: degrees_east
    valid_max: "180.0"
    valid_min: "-180.0"

  u:
    comment: The depth-averaged current is an estimate of the net current measured
      while the glider is underwater.  The value is calculated over the entire underwater
      segment, which may consist of 1 or more dives.
    long_name: Depth-Averaged Eastward Sea Water Velocity
    observation_type: calculated
    platform: platform
    standard_name: eastward_sea_water_velocity
    units: m s-1
    valid_max: "10.0"
    valid_min: "-10.0"
    _FillValue: -999

  v:
    comment: The depth-averaged current is an estimate of the net current measured
      while the glider is underwater.  The value is calculated over the entire underwater
      segment, which may consist of 1 or more dives.
    long_name: Depth-Averaged Northward Sea Water Velocity
    observation_type: calculated
    platform: platform
    standard_name: northward_sea_water_velocity
    units: m s-1
    valid_max: "10.0"
    valid_min: "-10.0"
    _FillValue: -999

  lon_uv:
    comment: Not computed
    long_name: Longitude
    observation_type: calculated
    platform: platform
    standard_name: longitude
    units: degrees_east
    valid_max: "180.0"
    valid_min: "-180.0"

  lat_uv:
    comment: Not computed
    long_name: Latitude
    observation_type: calculated
    platform: platform
    standard_name: latitude
    units: degrees_north
    valid_max: "90.0"
    valid_min: "-90.0"

  time_uv:
    comment: Not computed
    long_name: Time
    standard_name: time
    calendar: gregorian
    units: seconds since 1970-01-01T00:00:00Z
    observation_type: calculated

  instrument_ctd:
    comment: pumped CTD
    calibration_date: "20210921"
    calibration_report: " "
    factory_calibrated: "yes"
    long_name: Seabird Glider Payload CTD
    make_model: Seabird GPCTD
    platform: platform
    serial_number: "0256"
    type: platform
O2 optode internal salinity: 0 PSU
